Skip to content
Start here

Get logo queries

brand_protection.v2.logos.get(LogoGetParams**kwargs) -> LogoGetResponse
GET/accounts/{account_id}/cloudforce-one/v2/brand-protection/logo/queries

Get all saved brand protection logo queries for an account. Optionally specify id to get a single query. Set download=true to include base64-encoded image data.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Cloudforce One WriteCloudforce One Read
ParametersExpand Collapse
account_id: str
minLength1
id: Optional[str]

Optional query ID to retrieve a specific logo query

download: Optional[str]

If true, include base64-encoded image data in the response

ReturnsExpand Collapse
List[LogoGetResponseItem]
id: int
r2_path: str
similarity_threshold: float
tag: str
uploaded_at: Optional[str]
content_type: Optional[str]

MIME type of the image (only present when download=true)

image_data: Optional[str]

Base64-encoded image data (only present when download=true)

Get logo queries

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
logos = client.brand_protection.v2.logos.get(
    account_id="x",
)
print(logos)
[
  {
    "id": 0,
    "r2_path": "r2_path",
    "similarity_threshold": 0,
    "tag": "tag",
    "uploaded_at": "uploaded_at",
    "content_type": "content_type",
    "image_data": "image_data"
  }
]
Returns Examples
[
  {
    "id": 0,
    "r2_path": "r2_path",
    "similarity_threshold": 0,
    "tag": "tag",
    "uploaded_at": "uploaded_at",
    "content_type": "content_type",
    "image_data": "image_data"
  }
]